flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-7679) Upgrade maven enforcer plugin to 3.0.0-M1
Date Sat, 11 Nov 2017 13:23:00 GMT

    [ https://issues.apache.org/jira/browse/FLINK-7679?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16248521#comment-16248521
] 

ASF GitHub Bot commented on FLINK-7679:
---------------------------------------

GitHub user yew1eb opened a pull request:

    https://github.com/apache/flink/pull/5001

    [FLINK-7679][build[[java9] Upgrade maven enforcer plugin to 3.0.0-M1

    ## What is the purpose of the change
    
    Maven enforcer plugin fails after Java 9 build 175 [(MENFORCER-274)](https://issues.apache.org/jira/browse/MENFORCER-274)
Let's upgrade the version to 3.0.0 when released.
    
    ## Brief change log
    
    * Bump `maven-enforcer-plugin` version from 1.4.1 to 3.0.0-M1.
    
    ## Verifying this change
    
    This change is a trivial rework / code cleanup without any test coverage.
    
    ## Does this pull request potentially affect one of the following parts:
    
      - Dependencies (does it add or upgrade a dependency): (**yes** / no)
      - The public API, i.e., is any changed class annotated with `@Public(Evolving)`: (yes
/ **no**)
      - The serializers: (yes / **no** / don't know)
      - The runtime per-record code paths (performance sensitive): (yes / **no** / don't know)
      - Anything that affects deployment or recovery: JobManager (and its components), Checkpointing,
Yarn/Mesos, ZooKeeper: (yes / **no** / don't know)
      - The S3 file system connector: (yes / **no** / don't know)
    
    ## Documentation
    
      - Does this pull request introduce a new feature? (yes / **no**)
      - If yes, how is the feature documented? (not applicable / docs / JavaDocs / **not documented**)


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/yew1eb/flink FLINK-7679

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/flink/pull/5001.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #5001
    
----
commit fdfacfd4de50344d1f68609b4d1c84cb04c23f93
Author: yew1eb <yew1eb@gmail.com>
Date:   2017-11-08T16:46:03Z

    [FLINK-7679][build[[java9] Upgrade maven enforcer plugin to 3.0.0-M1

----


> Upgrade maven enforcer plugin to 3.0.0-M1
> -----------------------------------------
>
>                 Key: FLINK-7679
>                 URL: https://issues.apache.org/jira/browse/FLINK-7679
>             Project: Flink
>          Issue Type: Sub-task
>          Components: Build System
>            Reporter: Ted Yu
>            Assignee: Hai Zhou UTC+8
>
> I got the following build error against Java 9:
> {code}
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-enforcer-plugin:1.4.1:enforce
(enforce-maven) on project flink-parent: Execution enforce-maven of goal org.apache.maven.plugins:maven-enforcer-plugin:1.4.1:enforce
failed: An API incompatibility was encountered while executing org.apache.maven.plugins:maven-enforcer-plugin:1.4.1:enforce:
java.lang.ExceptionInInitializerError: null
> [ERROR] -----------------------------------------------------
> [ERROR] realm =    plugin>org.apache.maven.plugins:maven-enforcer-plugin:1.4.1
> [ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
> [ERROR] urls[0] = file:/home/hbase/.m2/repository/org/apache/maven/plugins/maven-enforcer-plugin/1.4.1/maven-enforcer-plugin-1.4.1.jar
> {code}
> Upgrading maven enforcer plugin to 3.0.0-M1 would get over the above error.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message